	.386
	.model	use32 small

	extrn exp2 : proc, allerrl : proc
	public	_pow10l
	.data
nm	db	"pow10l",0

	.code


_pow10l:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fild	dword ptr [ecx]
	fldl2t
	call	exp2
	lea	eax,[nm]
	sub	ecx,ecx
	call	allerrl
	leave
	ret
	end